from django.db import models


class BaseTimestampedModel(models.Model):
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)

    class Meta:
        abstract = True


class Location(models.Model):
    lat = models.FloatField('широта')
    lng = models.FloatField('долгота')
    title = models.CharField('наименование', max_length=255, blank=True)
    description = models.TextField('описание', blank=True)
    directions = models.TextField('как проехать', blank=True)

    def __str__(self):
        return '{},{}'.format(str(self.lat), str(self.lng))


# Currently unused - use this if you want to have "global" permissions
# class CorePermissions(models.Model):
#
#     class Meta:
#
#         managed = False
#
#         permissions = (
#             ('__all__', 'Все права'),
#         )
