from .base_settings import *

SECRET_KEY = '#inecptw^yvrr0d)brf3g_hba+!@(n-g*ds*wlza@2)b1taelm'

DEBUG = True

# Database
# https://docs.djangoproject.com/en/2.1/ref/settings/#databases
# This project uses postgres-specific fields, so only postgres is supported

DATABASES = {
    'default': {
        'ENGINE': 'django.db.backends.postgresql',
        'NAME': 'tigr',
        'USER': 'tigr',
        'PASSWORD': 'tigr',
        'HOST': 'localhost',
        'PORT': '',
    }
}

LANGUAGE_CODE = 'ru'

TIME_ZONE = 'Europe/Moscow'

CORS_ORIGIN_ALLOW_ALL = True

ALLOWED_HOSTS = ['your_server_domain_or_IP', 'second_domain_or_IP']

##########################################################
# Example LDAP AD configuration
# To use it, run pip install django-auth-ldap

# import ldap
# from django_auth_ldap.config import LDAPSearch

# makes sure this works in Active Directory
# ldap.set_option(ldap.OPT_REFERRALS, 0)
#
# AUTH_LDAP_SERVER_URI = "ldap://1.0.0.10:389"
# AUTH_LDAP_BIND_DN = 'CN=setupuser,OU=SystemAccaunts,DC=RISDE,DC=ru'
# AUTH_LDAP_BIND_PASSWORD = 'setupuser'
# AUTH_LDAP_USER_SEARCH = LDAPSearch('DC=RISDE,DC=ru', ldap.SCOPE_SUBTREE, '(SAMAccountName=%(user)s)')
#
# # Populate the Django user from the LDAP directory.
# AUTH_LDAP_USER_ATTR_MAP = {
#     "first_name": "givenName",
#     "last_name": "sn",
#     "email": "mail"
# }
#
# # This is the default, but I like to be explicit.
# AUTH_LDAP_ALWAYS_UPDATE_USER = True
#
# AUTHENTICATION_BACKENDS = (
#     'django_auth_ldap.backend.LDAPBackend',
#     'django.contrib.auth.backends.ModelBackend',
# )
##########################################################

ADMINS = [
    ('Tigran', 'tigran@kraitos.me'),
]
MANAGERS = [
    ('Tigran', 'tigran@kraitos.me'),
]

##########################################################
# Example file-based email service for development

# EMAIL_BACKEND = 'django.core.mail.backends.filebased.EmailBackend'
# EMAIL_FILE_PATH = '/home/tigran/emails'
##########################################################


# EMAIL_HOST = 'smtp.yandex.ru'
# EMAIL_PORT = '465'
# EMAIL_USE_SSL = True
# EMAIL_HOST_USER = 'tigr_admin@kraitos.me'
# EMAIL_HOST_PASSWORD = 'tigradminemail'
# EMAIL_SUBJECT_PREFIX = '[TIGR]'
# SERVER_EMAIL = 'tigr_admin@kraitos.me'

EMAIL_BACKEND = 'django.core.mail.backends.filebased.EmailBackend'
# EMAIL_FILE_PATH = '/home/tigran/emails'
# EMAIL_HOST = 'smtp.mail.ru'
# EMAIL_PORT = '587'
# EMAIL_USE_TLS = True
# EMAIL_HOST_USER = 'm290996@mail.ru'
# EMAIL_HOST_PASSWORD = 'NaF1)23H0'
# DEFAULT_FROM_EMAIL = 'Marina'
# DEFAULT_TO_EMAIL = 'm290996@mail.ru'


STATIC_URL = '/static/'
STATICFILES_DIRS = []
STATIC_ROOT = os.path.join(BASE_DIR, 'static')

MEDIA_URL = '/upload/'
MEDIA_ROOT = os.path.join(BASE_DIR, 'upload')
MAX_UPLOAD_SIZE = 104857600
MAX_PHOTO_UPLOAD_SIZE = 10485760

DEFAULT_ROLES = {
    'COMPANY_ADMIN': -1,
    'PROJECT_GROUP_ADMIN': -2,
    'PROJECT_ADMIN': -3,
}

DEFAULT_CURRENCY = 'RUB'


USE_X_FORWARDED_HOST = True
SECURE_PROXY_SSL_HEADER = ('HTTP_X_FORWARDED_PROTO', 'https')
