from easyaudit.models import CRUDEvent
from rest_framework.viewsets import ModelViewSet as DRFModelViewSet
from rest_framework.viewsets import GenericViewSet
from rest_framework import mixins
from .mixins import RelationFieldsViewMixin
from .serializers import CRUDEventSerializer


class ModelViewSet(RelationFieldsViewMixin, DRFModelViewSet):
    pass


class HistoryViewSet(mixins.ListModelMixin, GenericViewSet):
    queryset = CRUDEvent.objects.all()
    serializer_class = CRUDEventSerializer
    filterset_fields = ('content_type__model', 'object_id', 'event_type')
