from django_filters import rest_framework as filters
from projects.filters import ProjectFilter
from .models import ProjectBudgetItem, ProjectExpense
from projects.models import Project
from datetime import datetime


# class ProjectBudgetItemFilter(filters.FilterSet):
#     project = filters.RelatedFilter(ProjectFilter, field_name='project', queryset=Project.objects.all())
#
#     class Meta:
#         model = ProjectBudgetItem
#         fields = {'id': ['exact', 'in', 'startswith']}
#
#
class ProjectExpenseFilter(filters.FilterSet):

    class Meta:
        model = ProjectExpense
        fields = ['budget_item', 'budget_item__project']


class ProjectBudgetItemFilter(filters.FilterSet):
    date = filters.IsoDateTimeFilter(method='date_filter')

    class Meta:
        model = ProjectBudgetItem
        fields = ['project', 'budget_type', 'date', 'approved']

    def date_filter(self, queryset, name, value):
        return queryset.filter(date__month=value.month, date__year=value.year)
