# Generated by Django 3.0.2 on 2022-04-07 14:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('companies', '0002_auto_20220108_1517'),
        ('projects', '0012_projectview_filter_by'),
    ]

    operations = [
        migrations.CreateModel(
            name='BudgetType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='наименование категории')),
                ('order', models.PositiveSmallIntegerField(blank=True, default=10, verbose_name='порядок')),
                ('category', models.CharField(choices=[('CAP', 'CAPEX'), ('OP', 'OPEX')], default='CAP', max_length=3)),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='budget_types', to='companies.Company')),
            ],
            options={
                'ordering': ('company', 'order'),
            },
        ),
        migrations.CreateModel(
            name='ProjectBudgetType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(blank=True, max_length=255, verbose_name='шифр затрат')),
                ('budget_type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='project_budget_types', to='finance.BudgetType')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_budget_types', to='projects.Project')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectBudget',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(blank=True, max_length=255, verbose_name='шифр затрат')),
                ('finance_period_start', models.DateField(verbose_name='начало бюджетного периода')),
                ('finance_period_end', models.DateField(verbose_name='конец бюджетного периода')),
                ('project', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='project_budget', to='projects.Project')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectBudgetItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField(verbose_name='дата')),
                ('planned', models.IntegerField(default=0, verbose_name='запланировано')),
                ('allocated', models.IntegerField(default=0, verbose_name='забюджетировано')),
                ('spent_forecast', models.IntegerField(default=0, verbose_name='прогноз затрат')),
                ('spent_fact', models.IntegerField(default=0, verbose_name='факт затрат')),
                ('budget_type', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='project_budget_items', to='finance.BudgetType')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_budget_items', to='projects.Project')),
            ],
            options={
                'unique_together': {('date', 'project', 'budget_type')},
            },
        ),
    ]
