from django.db import models

# Create your models here.
class Meeting(models.Model):
    project = models.ForeignKey('projects.Project',
                                on_delete=models.CASCADE)
    start = models.DateTimeField('начало совещания')
    # end = models.DateTimeField('окончание совещания')
    duration = models.PositiveIntegerField('продолжительность совещания, мин',
                                           default=60)
    agenda= models.TextField('Повестка совещания')
    location = models.CharField('место проведения',
                                max_length=255)
    author = models.ForeignKey('users.User',
                               on_delete=models.CASCADE)
    topic = models.TextField('тема совещания')
    required_members = models.ManyToManyField('users.User',
                                              related_name='+',
                                              verbose_name='Обязательные участники')
    eligible_members = models.ManyToManyField('users.User',
                                              related_name='+',
                                              verbose_name='Участники по желанию',
                                              blank=True)
    questions = models.ManyToManyField('questions.Question',
                                       verbose_name='Вопросы',
                                       blank=True)

    def __str__(self):
        return str(self.project) + ' - ' + str(self.topic)

    # class Meta:
    #     db_table = 'Meeting'