from rest_framework import serializers
from core.serializers import ModelSerializer
from .models import Meeting
from projects.serializers import ProjectSerializer
from users.serializers import UserSerializer
from questions.serializers import QuestionSerializer

class MeetingSerializer(ModelSerializer):

    class Meta:
        model = Meeting
        fields = (
            'id',
            'project',
            'start',
            'duration',
            'agenda',
            'location',
            'author',
            'topic',
            'required_members',
            'eligible_members',
            'questions',
        )
        relation_fields = [
            ('project', ProjectSerializer),
            ('user', UserSerializer),
            ('author', UserSerializer),
            ('questions', QuestionSerializer),
            ('required_members', UserSerializer),
            ('eligible_members', UserSerializer),
        ]