from rest_framework import serializers
from core.serializers import ModelSerializer
from .models import NewsEntry, NewsEntryUrl
from projects.serializers import ProjectSerializer
from users.serializers import UserSerializer
from companies.serializers import CompanySerializer, DepartmentSerializer


class NewsEntrySerializer(ModelSerializer):
    date = serializers.ReadOnlyField()

    class Meta:
        model = NewsEntry
        fields = (
            'id',
            'date',
            'user',
            'project',
            'company',
            'departament',
            'title',
            'text',
            'watchers',
        )
        relation_fields = [
            ('project', ProjectSerializer),
            ('user', UserSerializer),
            ('company', CompanySerializer),
            ('departament', DepartmentSerializer),
        ]


class NewsEntryUrlSerializer(ModelSerializer):
    class Meta:
        model = NewsEntryUrl
        fields = (
            'entry',
            'link',
            'link_description',
        )
        relation_fields = [
            ('entry', NewsEntrySerializer)
        ]
