from core.viewsets import ModelViewSet
from .models import NewsEntry, NewsEntryUrl
from .serializers import NewsEntrySerializer, NewsEntryUrlSerializer
from django.utils import timezone
# from rest_framework.pagination import PageNumberPagination
from rest_framework.pagination import LimitOffsetPagination

# class NewsPagination(PageNumberPagination):
#     page_size = 5
#     page_size_query_param = 'page_size'
#     max_page_size = 1000

class NewsPagination(LimitOffsetPagination):
    default_limit = 5
    max_limit = 100


class NewsEntryViewSet(ModelViewSet):
    queryset = NewsEntry.objects.all()
    serializer_class = NewsEntrySerializer
    filterset_fields = ('project', 'company', 'departament',)
    pagination_class = NewsPagination

    def perform_create(self, serializer):
        serializer.save(user=self.request.user)




class NewsEntryUrlViewSet(ModelViewSet):
    queryset = NewsEntryUrl.objects.all()
    serializer_class = NewsEntryUrlSerializer

