# Generated by Django 3.2.6 on 2022-01-08 12:17

import datetime
from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('projects', '0006_auto_20190515_2102'),
    ]

    operations = [
        migrations.CreateModel(
            name='ProjectMeta',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=datetime.datetime.now, verbose_name='дата и время создания')),
                ('name', models.CharField(max_length=30, verbose_name='название')),
                ('data_type', models.CharField(choices=[('string', 'Строка'), ('text', 'Текст'), ('number', 'Число'), ('date', 'Дата'), ('time', 'Время'), ('datetime', 'Дата со временем')], db_index=True, default='string', max_length=20, verbose_name='тип данных')),
                ('public', models.BooleanField(default=False, verbose_name='публичный')),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='projects_meta_owner', to=settings.AUTH_USER_MODEL, verbose_name='автор')),
                ('project_categories', models.ManyToManyField(blank=True, to='projects.ProjectCategory', verbose_name='категории проекта')),
            ],
        ),
        migrations.AlterField(
            model_name='projectgroup',
            name='level',
            field=models.PositiveIntegerField(editable=False),
        ),
        migrations.AlterField(
            model_name='projectgroup',
            name='lft',
            field=models.PositiveIntegerField(editable=False),
        ),
        migrations.AlterField(
            model_name='projectgroup',
            name='rght',
            field=models.PositiveIntegerField(editable=False),
        ),
        migrations.CreateModel(
            name='ProjectView',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=datetime.datetime.now, verbose_name='дата и время создания')),
                ('updated', models.DateTimeField(default=datetime.datetime.now, verbose_name='дата и время обновления')),
                ('name', models.CharField(max_length=100, verbose_name='название представления')),
                ('public', models.BooleanField(default=False, verbose_name='публичный')),
                ('fields', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(blank=True, max_length=255), size=None)),
                ('order_by', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(blank=True, max_length=255), size=None)),
                ('group_by', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(blank=True, max_length=255), blank=True, size=None)),
                ('owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='projects_view_owners', to=settings.AUTH_USER_MODEL, verbose_name='пользователь')),
            ],
        ),
        migrations.CreateModel(
            name='ProjectMetaValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', models.DateTimeField(default=datetime.datetime.now, verbose_name='дата и время создания')),
                ('updated', models.DateTimeField(default=datetime.datetime.now, verbose_name='дата и время обновления')),
                ('value', models.TextField(blank=True, verbose_name='значение метаданных')),
                ('meta', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='project_meta_values', to='projects.projectmeta', verbose_name='Метаданные')),
                ('project', models.ForeignKey(blank=True, on_delete=django.db.models.deletion.CASCADE, related_name='project_meta_values', to='projects.project', verbose_name='Проект')),
            ],
        ),
    ]
