from django.test import TestCase

from companies.models import Company
from .models import Project, ProjectType, ProjectCategory


class ProjectTestCase(TestCase):
    def setUp(self):
        company = Company.objects.create(name='head', full_name='head')
        pr_tp = ProjectType.objects.create(
            name='Test project type',
            category=ProjectCategory.objects.create(
                name='Test project category',
                eng_name='TPC',
            )
        )

        self.project = Project.objects.create(
            name='project1',
            abbr='pr1',
            project_type=pr_tp,
            project_group=company.project_groups.all()[0]
        )

    def test_auto_create_project_preferences(self):
        self.assertIsNotNone(self.project.preferences)

