from risks.models import RiskCategory, Risk
from core.serializers import ModelSerializer

class RiskCategorySerializer(ModelSerializer):

    class Meta:
        model = RiskCategory
        fields = (
            'id',
            'name',
            'order',
        )

class RiskSerializer(ModelSerializer):

    class Meta:
        model = Risk
        fields = (
            'id',
            'project',
            'category',
            'probability',
            'risk',
            'effects',
            'control_method',
            'order',
        )
        relation_fields = [
            ('category', RiskCategorySerializer)
        ]