# Generated by Django 2.1 on 2019-05-15 18:08

from django.db import migrations


def forwards_func(apps, schema_editor):
    # We get the model from the versioned app registry;
    # if we directly import it, it'll be the wrong version
    Role = apps.get_model('roles', 'Role')
    db_alias = schema_editor.connection.alias
    Role.objects.using(db_alias).bulk_create([
        Role(id=-1, name='Администратор компании', company=True, all_permissions=True),
        Role(id=-2, name='Администратор портфеля проектов', project_group=True, all_permissions=True),
        Role(id=-3, name='Администратор проекта', project=True, all_permissions=True),
    ])


def reverse_func(apps, schema_editor):
    # forwards_func() creates two Country instances,
    # so reverse_func() should delete them.
    Role = apps.get_model('roles', 'Role')
    db_alias = schema_editor.connection.alias
    Role.objects.using(db_alias).filter(id=-1).delete()
    Role.objects.using(db_alias).filter(id=-2).delete()
    Role.objects.using(db_alias).filter(id=-3).delete()



class Migration(migrations.Migration):

    dependencies = [
        ('roles', '0004_role_all_permissions'),
    ]

    operations = [
        migrations.RunPython(forwards_func, reverse_func),
    ]
