from .models import Role, UserRole
from users.serializers import UserSerializer
from core.serializers import ModelSerializer
from django.contrib.auth.models import Permission


class PermissionSerializer(ModelSerializer):

    class Meta:
        model = Permission
        fields = '__all__'


class RoleSerializer(ModelSerializer):

    class Meta:
        model = Role
        fields = (
            'id',
            'name',
            'permissions',
            'company',
            'project_group',
            'project',
            'glob',
            'widgets'
        )
        relation_fields = [('permissions', PermissionSerializer)]


class UserRoleSerializer(ModelSerializer):

    class Meta:
        model = UserRole
        fields = '__all__'
        relation_fields = [('user', UserSerializer), ('role', RoleSerializer)]
