from .models import Role, UserRole
from .serializers import RoleSerializer, UserRoleSerializer
from core.viewsets import ModelViewSet


class RoleViewSet(ModelViewSet):
    queryset = Role.objects.all()
    serializer_class = RoleSerializer
    filterset_fields = ('project', 'project_group', 'company')


class UserRoleViewSet(ModelViewSet):
    queryset = UserRole.objects.all()
    serializer_class = UserRoleSerializer
    filterset_fields = ('project', 'project_group', 'company')
