# Generated by Django 3.0.2 on 2022-03-16 15:01

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('projects', '0012_projectview_filter_by'),
    ]

    operations = [
        migrations.CreateModel(
            name='Work',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='название работы')),
                ('description', models.TextField(verbose_name='описание работы')),
                ('result', models.TextField(verbose_name='результат работы')),
                ('work_type', models.CharField(choices=[('TS', 'Task'), ('GR', 'Group'), ('MS', 'Milestone'), ('AS', 'Assignment')], default='TS', max_length=2)),
                ('status', models.CharField(choices=[('CR', 'Created'), ('WP', 'WIP'), ('DN', 'Done'), ('AC', 'Accepted'), ('CN', 'Cancelled')], default='CR', max_length=2)),
                ('start_base', models.DateField(verbose_name='начало - план')),
                ('start_fc', models.DateField(null=True, verbose_name='начало - прогноз')),
                ('start_fact', models.DateField(null=True, verbose_name='начало - факт')),
                ('end_base', models.DateField(verbose_name='окончание - план')),
                ('end_fc', models.DateField(null=True, verbose_name='окончание - прогноз')),
                ('end_fact', models.DateField(null=True, verbose_name='окончание - факт')),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now, verbose_name='создано в')),
                ('created_by', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='works_author', to=settings.AUTH_USER_MODEL, verbose_name='автор')),
                ('group', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='works', to='works.Work', verbose_name='группа')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='works', to='projects.Project', verbose_name='проект')),
                ('to_user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='works_executor', to=settings.AUTH_USER_MODEL, verbose_name='исполнитель')),
                ('val_user', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='works_validator', to=settings.AUTH_USER_MODEL, verbose_name='проверяющий')),
            ],
        ),
    ]
